import { __extends } from "tslib";
import * as https from 'https';
import { BaseClient } from './core/baseClient';
import { OPTION_DEFAULT_SERVER_URL } from './models/options';
import { SDK_NAME, SDK_VERSION } from './version';
var NodeClient = /** @class */ (function (_super) {
    __extends(NodeClient, _super);
    function NodeClient() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @inheritDoc
     */
    NodeClient.prototype.logEvent = function (event) {
        var _a;
        if (this._options.optOut === true) {
            return;
        }
        this._annotateEvent(event);
        var payload = JSON.stringify({
            api_key: this._apiKey,
            events: [event],
        });
        var requestOptions = {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
        };
        var req = https.request((_a = this._options.serverUrl) !== null && _a !== void 0 ? _a : OPTION_DEFAULT_SERVER_URL, requestOptions);
        req.on('error', function (error) {
            console.info('[Amplitude|Error] Event is not submitted.', error);
        });
        req.write(payload);
        req.end();
    };
    /** Add platform dependent field onto event. */
    NodeClient.prototype._annotateEvent = function (event) {
        event.library = SDK_NAME + "-" + SDK_VERSION;
        event.platform = 'Node.js';
    };
    return NodeClient;
}(BaseClient));
export { NodeClient };
//# sourceMappingURL=nodeClient.js.map